package com.rehome.meetingbook.bean;

import java.util.ArrayList;
import java.util.List;

/**
 * Create By HuangWenFei
 * 创建日期：2022-12-10 14:27
 * 描述：
 */
public class AppointmentMemberBean {
    private String mainid;
    private List<RowsBean> Rows = new ArrayList<>();

    public String getMainid() {
        return mainid;
    }

    public void setMainid(String mainid) {
        this.mainid = mainid;
    }

    public List<RowsBean> getRows() {
        return Rows;
    }

    public void setRows(List<RowsBean> Rows) {
        this.Rows = Rows;
    }

    public static class RowsBean {

        //预约时间（格式：yyyy-MM-dd HH:mm）
        private String yyrq="";
        //预约等级ID
        private String pszb="";
        //预约等级名称
        private String pszbName="";
        //预约部门ID
        private String psbm="";
        //预约部门名称
        private String psbmName="";
        //预约班组ID
        private String psbz="";
        //预约班组名称
        private String psbzName="";
        //姓名
        private String xm="";
        //身份证号
        private String sfzh="";
        //是否为工作票负责人培训（厂级：0否，1是,部门或班组级：空值）
        private String iszzpfzr="";
        //是否特种作业人员
        private String istzzy="";
        //备注（三种人授权类型或特种作业工种）
        private String bz="";

        public String getYyrq() {
            return yyrq;
        }

        public void setYyrq(String yyrq) {
            this.yyrq = yyrq;
        }

        public String getPszb() {
            return pszb;
        }

        public void setPszb(String pszb) {
            this.pszb = pszb;
        }

        public String getPsbm() {
            return psbm;
        }

        public void setPsbm(String psbm) {
            this.psbm = psbm;
        }

        public String getPsbz() {
            return psbz;
        }

        public void setPsbz(String psbz) {
            this.psbz = psbz;
        }

        public String getXm() {
            return xm;
        }

        public void setXm(String xm) {
            this.xm = xm;
        }

        public String getSfzh() {
            return sfzh;
        }

        public void setSfzh(String sfzh) {
            this.sfzh = sfzh;
        }

        public String getIszzpfzr() {
            return iszzpfzr;
        }

        public void setIszzpfzr(String iszzpfzr) {
            this.iszzpfzr = iszzpfzr;
        }

        public String getIstzzy() {
            return istzzy;
        }

        public void setIstzzy(String istzzy) {
            this.istzzy = istzzy;
        }

        public String getBz() {
            return bz;
        }

        public void setBz(String bz) {
            this.bz = bz;
        }

        public String getPszbName() {
            return pszbName;
        }

        public void setPszbName(String pszbName) {
            this.pszbName = pszbName;
        }

        public String getPsbmName() {
            return psbmName;
        }

        public void setPsbmName(String psbmName) {
            this.psbmName = psbmName;
        }

        public String getPsbzName() {
            return psbzName;
        }

        public void setPsbzName(String psbzName) {
            this.psbzName = psbzName;
        }
    }
}
